Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class DocumentProperties

    java.lang.Object
      org.apache.poi.hwpf.model.types.DOPAbstractType
          org.apache.poi.hwpf.model.DocumentProperties

All Implemented Interfaces:
  HDFType

    public final class DocumentProperties

extends DOPAbstractType

Comment me

Author:
  Ryan Ackley

Constructor Summary
`DocumentProperties(byte[] tableStream, int offset)` Deprecated. Use `DocumentProperties(byte[],int,int)` instead
`DocumentProperties(byte[] tableStream, int offset, int length)`

Method Summary
`void` | `serialize(byte[] data, int offset)`
`void` | `writeTo(HWPFOutputStream tableStream)`

Methods inherited from class org.apache.poi.hwpf.model.types.DOPAbstractType
`getAdt, getAsumyi, getCCh, getCChFtnEdn, getCChWS, getCChWSFtnEdn, getCConsexHypLim, getCDBC, getCDBCFtnEdn, getCLines, getCLinesFtnEdn, getCParas, getCParasFtnEdn, getCPg, getCPgFtnEdn, getCWords, getCWordsFtnEnd, getDocinfo, getDocinfo1, getDocinfo2, getDocinfo3, getDocinfo4, getDocinfo5, getDocinfo6, getDogrid, getDoptypography, getDttmCreated, getDttmLastPrint, getDttmRevised, getDxaHotz, getDxaTab, getDywDispPag, getEdn, getEdn1, getEpc, getFootnoteInfo, getFormatFlags, getFOutlineDirtySave, getFpc, getGrfDocEvents, getGrfSupression, getHpsZoonFontPag, getKeyVirusSession30, getLKeyProtDoc, getLvl, getNEdn, getNfcEdnRef, getNfcEdnRef1, getNfcFtnRef, getNfcFtnRef1, getNFtn, getNRevision, getReserved, getReserved1, getReserved2, getRncEdn, getRncFtn, getSize, getSpare, getTmEdited, getUnused2, getUnused5, getView, getVirusinfo, getWScaleSaved, getWSpare, getWSpare2, getWvkSaved, getZkSaved, isFAutoHyphen, isFAutoVersions, isFBackup, isFConvMailMergeEsc, isFDfltTrueType, isFDispFormFldSel, isFEmbedFonts, isFExactCWords, isFFacingPages, isFForcePageSizePag, isFFormNoFields, isFGramAllClean, isFGramAllDone, isFHaveVersions, isFHideLastVersion, isFHtmlDoc, isFHyphCapitals, isFIncludeFooter, isFIncludeHeader, isFLabelDoc, isFLinkStyles, isFLockAtn, isFLockRev, isFMapPrintTextColor, isFMinFontSizePag, isFMirrorMargins, isFMWSmallCaps, isFNoColumnBalance, isFNoLeading, isFNoSpaceRaiseLower, isFNoTabForInd, isFOnlyMacPics, isFOnlyWinPics, isFOrigWordTableRules, isFPagHidden, isFPagResults, isFPagSupressTopSpacing, isFPMHMainDoc, isFPrintBodyBeforeHdr, isFPrintFormData, isFProtEnabled, isFRevMarking, isFRMPrint, isFRMView, isFRotateFontW6, isFSaveFormData, isFShadeFormData, isFShowBreaksInFrames, isFSnapBorder, isFSubsetFonts, isFSuppressTopSPacingMac5, isFSupressSpdfAfterPageBreak, isFSupressTopSpacing, isFSwapBordersFacingPgs, isFTransparentMetafiles, isFTruncDxaExpand, isFVirusLoadSafe, isFVirusPrompted, isFWCFtnEdn, isFWidowControl, isFWrapTrailSpaces, isIGutterPos, isOldfConvMailMergeEsc, isOldfMapPrintTextColor, isOldfNoColumnBalance, isOldfNoSpaceRaiseLower, isOldfNoTabForInd, isOldfOrigWordTableRules, isOldfShowBreaksInFrames, isOldfSuppressSpbfAfterPageBreak, isOldfSupressTopSpacing, isOldfSwapBordersFacingPgs, isOldfTransparentMetafiles, isOldfWrapTrailSpaces, isUnused1, isUnused3, isUnused4, setAdt, setAsumyi, setCCh, setCChFtnEdn, setCChWS, setCChWSFtnEdn, setCConsexHypLim, setCDBC, setCDBCFtnEdn, setCLines, setCLinesFtnEdn, setCParas, setCParasFtnEdn, setCPg, setCPgFtnEdn, setCWords, setCWordsFtnEnd, setDocinfo, setDocinfo1, setDocinfo2, setDocinfo3, setDocinfo4, setDocinfo5, setDocinfo6, setDogrid, setDoptypography, setDttmCreated, setDttmLastPrint, setDttmRevised, setDxaHotz, setDxaTab, setDywDispPag, setEdn, setEdn1, setEpc, setFAutoHyphen, setFAutoVersions, setFBackup, setFConvMailMergeEsc, setFDfltTrueType, setFDispFormFldSel, setFEmbedFonts, setFExactCWords, setFFacingPages, setFForcePageSizePag, setFFormNoFields, setFGramAllClean, setFGramAllDone, setFHaveVersions, setFHideLastVersion, setFHtmlDoc, setFHyphCapitals, setFIncludeFooter, setFIncludeHeader, setFLabelDoc, setFLinkStyles, setFLockAtn, setFLockRev, setFMapPrintTextColor, setFMinFontSizePag, setFMirrorMargins, setFMWSmallCaps, setFNoColumnBalance, setFNoLeading, setFNoSpaceRaiseLower, setFNoTabForInd, setFOnlyMacPics, setFOnlyWinPics, setFootnoteInfo, setFOrigWordTableRules, setFormatFlags, setFOutlineDirtySave, setFPagHidden, setFPagResults, setFPagSupressTopSpacing, setFpc, setFPMHMainDoc, setFPrintBodyBeforeHdr, setFPrintFormData, setFProtEnabled, setFRevMarking, setFRMPrint, setFRMView, setFRotateFontW6, setFSaveFormData, setFShadeFormData, setFShowBreaksInFrames, setFSnapBorder, setFSubsetFonts, setFSuppressTopSPacingMac5, setFSupressSpdfAfterPageBreak, setFSupressTopSpacing, setFSwapBordersFacingPgs, setFTransparentMetafiles, setFTruncDxaExpand, setFVirusLoadSafe, setFVirusPrompted, setFWCFtnEdn, setFWidowControl, setFWrapTrailSpaces, setGrfDocEvents, setGrfSupression, setHpsZoonFontPag, setIGutterPos, setKeyVirusSession30, setLKeyProtDoc, setLvl, setNEdn, setNfcEdnRef, setNfcEdnRef1, setNfcFtnRef, setNfcFtnRef1, setNFtn, setNRevision, setOldfConvMailMergeEsc, setOldfMapPrintTextColor, setOldfNoColumnBalance, setOldfNoSpaceRaiseLower, setOldfNoTabForInd, setOldfOrigWordTableRules, setOldfShowBreaksInFrames, setOldfSuppressSpbfAfterPageBreak, setOldfSupressTopSpacing, setOldfSwapBordersFacingPgs, setOldfTransparentMetafiles, setOldfWrapTrailSpaces, setReserved, setReserved1, setReserved2, setRncEdn, setRncFtn, setSpare, setTmEdited, setUnused1, setUnused2, setUnused3, setUnused4, setUnused5, setView, setVirusinfo, setWScaleSaved, setWSpare, setWSpare2, setWvkSaved, setZkSaved, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentProperties

    public DocumentProperties(byte[] tableStream,
                              int offset)

  Deprecated. Use `DocumentProperties(byte[],int,int)` instead

### DocumentProperties

    public DocumentProperties(byte[] tableStream,
                              int offset,
                              int length)

Method Detail

### serialize

    public void serialize(byte[] data,
                          int offset)

  Overrides:
    `serialize` in class `DOPAbstractType`

### writeTo

    public void writeTo(HWPFOutputStream tableStream)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD